View Issue Details

IDProjectCategoryView StatusLast Update
0024236mantisbtcode cleanuppublic2018-05-02 04:53
ReporterRealityRippleAssigned Toatrol 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.0 
Target Version2.14.0Fixed in Version2.14.0 
Summary0024236: IssueAddCommand Prevents API Folder Removal
Description

If the API folder is removed as per the admin/check suggestion when SOAP is not required, issues can no longer be reported through the web interface. The code cleanup bug 23998 containing pull request 1301 results in a hard prerequisite for api/soap/mc_api.php, mc_enum_api.php, mc_issue_api.php, and mc_project_api.php in IssueAddCommand.php, which means the API folder is now mandatory for functionality. Either re-separate APIs from the rest of the system or cease recommendation of the removal of the API folder.

Steps To Reproduce

1) Delete API folder
2) Report a Bug

Additional Information

PHP Fatal error: require_once(): Failed opening required '/.bugdata/core/commands/../../api/soap/mc_api.php' in /.bugdata/core/commands/IssueAddCommand.php on line 36

TagsNo tags attached.

Relationships

related to 0023998 closedvboctor Implement IssueAddCommand and use it from SOAP, REST and Web UI 
related to 0024389 new Cannot add ticket after upgrade to 2.13.1 (can't access api from $g_core_path) 

Activities

Related Changesets

MantisBT: master 7bc6b579

2018-04-16 16:49:50

atrol

Details Diff
Remove soap folder check

Fixes 0024236
Affected Issues
0024236
mod - admin/check/check_paths_inc.php Diff File

Issue History

Date Modified Username Field Change
2018-04-08 22:19 RealityRipple New Issue
2018-04-09 03:07 atrol Relationship added related to 0023998
2018-04-16 16:52 atrol Assigned To => atrol
2018-04-16 16:52 atrol Status new => assigned
2018-04-16 16:52 atrol Target Version => 2.14.0
2018-04-16 16:52 atrol Note Added: 0059575
2018-04-23 05:24 atrol Changeset attached => MantisBT master 7bc6b579
2018-04-23 05:24 atrol Status assigned => resolved
2018-04-23 05:24 atrol Resolution open => fixed
2018-04-23 05:24 atrol Fixed in Version => 2.14.0
2018-04-29 19:21 vboctor Status resolved => closed
2018-05-02 04:53 atrol Relationship added related to 0024389